<?php

class cFamilia{

	



	function insertar($nom){

	$sql = "INSERT tb_familia(

		`tb_familia_nom`

		)

		VALUES (

		 '$nom'

		);"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	

	function complete_nom($dato){

	$sql="SELECT *

		FROM tb_familia

		WHERE tb_familia_nom LIKE '%$dato%'

		GROUP BY tb_familia_nom

		LIMIT 0,12

		";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;		  

	}



	

	function comprobar_si_existe($nom){

		$nom = limpia_espacios($nom);

	$sql="SELECT * 

	FROM tb_familia

	WHERE tb_familia_nom = '$nom' AND tb_familia_xac != 0";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}



}

?>